Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("740962a1-fe19-4dc0-a9ae-18af313c5b43")]
   public interface IClassificationProblem : IDataAnalysisProblem<IClassificationProblemData> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationProblemData.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("6d6eb8bf-d40a-49a0-904a-692024a039a5")]
   public interface IClassificationProblemData : IDataAnalysisProblemData {
     string TargetVariable { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IClassificationSolution.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("e7fc797c-90ed-4468-85ae-ec02a6240891")]
   public interface IClassificationSolution : IDataAnalysisSolution {
     new IClassificationModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationModel.cs	(revision 14929)
@@ -22,5 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("0f2b5a24-67e8-4df0-8f5c-8c193d426130")]
   public interface IDiscriminantFunctionClassificationModel : IClassificationModel {
     IEnumerable<double> Thresholds { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionClassificationSolution.cs	(revision 14929)
@@ -22,5 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("73be45a1-7f63-4838-b282-41d36c3ea089")]
   public interface IDiscriminantFunctionClassificationSolution : IClassificationSolution {
     new IDiscriminantFunctionClassificationModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Classification/IDiscriminantFunctionThresholdCalculator.cs	(revision 14929)
@@ -22,5 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("ccdecf53-d0a0-45ca-a7f3-e73ed50ff38c")]
   public interface IDiscriminantFunctionThresholdCalculator : INamedItem {
     void Calculate(IClassificationProblemData problemData, IEnumerable<double> estimatedValues, IEnumerable<double> targetClassValues, out double[] classValues, out double[] thresholds);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringModel.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("0706f198-b515-4e3b-ba3d-87fb0f3011ec")]
   public interface IClusteringModel : IDataAnalysisModel {
     IEnumerable<int> GetClusterValues(IDataset dataset, IEnumerable<int> rows);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("8223b4ad-1196-4463-88d4-bc46ee862e46")]
   public interface IClusteringProblem : IDataAnalysisProblem<IClusteringProblemData> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringProblemData.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("f140e7e0-522a-4586-a562-725c52000b6b")]
   public interface IClusteringProblemData : IDataAnalysisProblemData {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Clustering/IClusteringSolution.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("5caff002-31b1-4d79-b957-8d1d951bb5d4")]
   public interface IClusteringSolution : IDataAnalysisSolution {
     new IClusteringModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisModel.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -28,4 +29,5 @@
   /// <remarks>All methods and properties in in this interface must be implemented thread safely</remarks>
   /// </summary>
+  [StorableType("4fc4e080-0060-40ce-bc1f-3ce23366c537")]
   public interface IDataAnalysisModel : INamedItem {
     IEnumerable<string> VariablesUsedForPrediction { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblem.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("2293165c-bdf5-4605-ad20-efe0c3a1b546")]
   public interface IDataAnalysisProblem : IProblem {
     IParameter ProblemDataParameter { get; }
@@ -31,4 +33,5 @@
   }
 
+  [StorableType("ba6d87ec-0140-45fa-b425-3aaa27d9fe3e")]
   public interface IDataAnalysisProblem<T> : IDataAnalysisProblem
   where T : class, IDataAnalysisProblemData {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisProblemData.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("b4074182-a594-4639-9b8c-c0ff53776c3e")]
   public interface IDataAnalysisProblemData : INamedItem {
     bool IsEmpty { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolution.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("a814e00c-fc47-4683-8930-a628651bb461")]
   public interface IDataAnalysisSolution : INamedItem, IStorableContent {
     IDataAnalysisModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataAnalysisSolutionExporter.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("f3226eff-f010-485e-aafb-8dda4e7a461f")]
   public interface IDataAnalysisSolutionExporter {
     string FileTypeFilter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDataset.cs	(revision 14929)
@@ -25,6 +25,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("6bd616f9-0897-4500-b71a-ac574975e7d8")]
   public interface IDataset : IItem, IStringConvertibleMatrix {
     IEnumerable<string> VariableNames { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IDependencyCalculator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("66d1289e-c0b0-4ec3-9013-28fc93edd00e")]
   public interface IDependencyCalculator {
     double Maximum { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/IOnlineCalculator.cs	(revision 14929)
@@ -22,6 +22,9 @@
 
 using System;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
   [Flags]
+  [StorableType("a96aa814-fa65-4782-a58d-00c56673bf65")]
   public enum OnlineCalculatorError {
     /// <summary>
@@ -38,4 +41,5 @@
     InsufficientElementsAdded = 2
   }
+  [StorableType("73a189d1-a184-4b09-8857-6ea7371cc74e")]
   public interface IOnlineCalculator {
     OnlineCalculatorError ErrorState { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformation.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("12a19472-f6d2-4a0f-92d5-044ea71bfce4")]
   public interface ITransformation : IParameterizedItem {
     string ShortName { get; }
@@ -29,4 +31,5 @@
   }
 
+  [StorableType("cc7719d1-3899-4afa-8394-a0c0b2761d32")]
   public interface ITransformation<T> : ITransformation {
     void ConfigureParameters(IEnumerable<T> data);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/ITransformationMapper.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("f1290659-5822-4083-9875-13ebe5dc2a8b")]
   public interface ITransformationMapper<out T> {
     T GenerateModel(ITransformation transformation);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionModel.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("4070ddbd-5b2f-4184-9d52-ad997998893d")]
   public interface IConfidenceRegressionModel : IRegressionModel {
     IEnumerable<double> GetEstimatedVariances(IDataset dataset, IEnumerable<int> rows);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IConfidenceRegressionSolution.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("feabac62-00e1-4029-8248-3477371affd4")]
   public interface IConfidenceRegressionSolution : IRegressionSolution {
     new IConfidenceRegressionModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleModel.cs	(revision 14929)
@@ -22,5 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("d91ac416-b3cb-403b-868b-bb3735ffc43f")]
   public interface IRegressionEnsembleModel : IRegressionModel {
     void Add(IRegressionModel model);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionEnsembleSolution.cs	(revision 14929)
@@ -22,5 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("e2bff9b5-9252-4fd3-9c9e-17dcfea08fbf")]
   public interface IRegressionEnsembleSolution : IRegressionSolution {
     new IRegressionEnsembleModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionModel.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -28,4 +29,5 @@
   /// <remarks>All methods and properties in in this interface must be implemented thread safely</remarks>
   /// </summary>
+  [StorableType("f0b77196-b400-49e3-9ccd-6cb15c876ce6")]
   public interface IRegressionModel : IDataAnalysisModel {
     IEnumerable<double> GetEstimatedValues(IDataset dataset, IEnumerable<int> rows);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("157601f4-5832-407f-9f25-69da6fd5f69d")]
   public interface IRegressionProblem : IDataAnalysisProblem<IRegressionProblemData> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionProblemData.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("4397fd67-f9e7-439e-bfb9-568c27fc66a6")]
   public interface IRegressionProblemData : IDataAnalysisProblemData {
     string TargetVariable { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/Regression/IRegressionSolution.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("e1786878-1e2c-47dd-a105-45fe86387bb4")]
   public interface IRegressionSolution : IDataAnalysisSolution {
     new IRegressionModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/IOnlineTimeSeriesCalculator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("8df94077-4130-4c6a-ba9a-86b6ef250bbd")]
   public interface IOnlineTimeSeriesCalculator {
     OnlineCalculatorError ErrorState { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisModel.cs	(revision 14929)
@@ -21,4 +21,6 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
   /// <summary>
@@ -26,4 +28,5 @@
   /// <remarks>All methods and properties in in this interface must be implemented thread safely</remarks>
   /// </summary> 
+  [StorableType("727483c4-f223-45af-9002-f618cb08e81b")]
   public interface ITimeSeriesPrognosisModel : IRegressionModel {
     IEnumerable<IEnumerable<double>> GetPrognosedValues(IDataset dataset, IEnumerable<int> rows, IEnumerable<int> horizons);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("877a2b9c-c863-4789-aaaf-1e34b61a8468")]
   public interface ITimeSeriesPrognosisProblem : IDataAnalysisProblem<ITimeSeriesPrognosisProblemData> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisProblemData.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("5106a807-c5c3-4f50-8705-6d9360aa0ad7")]
   public interface ITimeSeriesPrognosisProblemData : IRegressionProblemData {
     int TrainingHorizon { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.DataAnalysis/3.4/Interfaces/TimeSeriesPrognosis/ITimeSeriesPrognosisSolution.cs	(revision 14929)
@@ -21,5 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("efa8e1d3-f822-4213-89ce-b94860ff1fc3")]
   public interface ITimeSeriesPrognosisSolution : IRegressionSolution {
     new ITimeSeriesPrognosisModel Model { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationChannel.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using Google.ProtocolBuffers;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("cddf3a9b-22e5-4dd2-9222-f407e5236a74")]
   public interface IEvaluationChannel : INamedItem {
     /// <summary>
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IEvaluationServiceClient.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using Google.ProtocolBuffers;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("9d0a180b-522c-49c8-8609-773529e3d389")]
   public interface IEvaluationServiceClient : IItem {
     /// <summary>
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IExternalEvaluationProblem.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("0a8c647f-7461-428c-b57c-02535489d9a4")]
   public interface IExternalEvaluationProblem : IProblem {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.ExternalEvaluation/3.4/Interfaces/IItemToSolutionMessageConverter.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.ExternalEvaluation {
+  [StorableType("8896cbe9-d81c-474a-8e7e-a7c58fd11538")]
   public interface IItemToSolutionMessageConverter : IItem {
     Type[] ItemTypes { get; }
